Last modified: 2014-02-15 13:28:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 59125 - Remove SqlBagOStuff::createTables
Remove SqlBagOStuff::createTables
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.23.0
All All
: Low enhancement (vote)
: ---
Assigned To: Tony Thomas
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-12-30 17:24 UTC by db [inactive,noenotif]
Modified: 2014-02-15 13:28 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2013-12-30 17:24:26 UTC
The method SqlBagOStuff::createTables has the comment "Create shard tables. For use from eval.php.", sounds not like something which is needed any more? (at this location)

Or at least remove the version check for mysql 4.1.0 because at the moment 5.0.2 or later is supported
Comment 1 Gerrit Notification Bot 2014-01-28 10:04:45 UTC
Change 109859 had a related patch set uploaded by 01tonythomas:
Removed version check for mysql 4.1.0 from SqlBahOStuff::createTables

https://gerrit.wikimedia.org/r/109859
Comment 2 Gerrit Notification Bot 2014-01-28 19:18:01 UTC
Change 109859 merged by jenkins-bot:
Removed version check for mysql 4.1.0 from SqlBahOStuff::createTables

https://gerrit.wikimedia.org/r/109859
Comment 3 db [inactive,noenotif] 2014-02-15 13:28:14 UTC
version check is enough, when the method is still needed, so marking as fixed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links